# This file is an earlier version of https://github.com/ineol/depygmentize
# Thanks to Leo Stefanesco for letting us use it

import re
import pygments
from pygments import lexers, formatters

import codecs

file = codecs.open("HOCore_ITP_prefinal.tex","r","utf-8").read()

coqcode = r"(\\begin{minted}\[frame=lines,fontsize=\\footnotesize,noerror\]{coq}\n(.*?)\\end{minted})"

minted="""\\usepackage{minted}
\usemintedstyle{emacs}
\setminted{encoding=utf8}
\makeatletter
\minted@define@switch{noerror}{-F noerrorfilter}
\makeatother
"""

res = re.findall(coqcode, file, re.DOTALL) # couple de str

lexer = pygments.lexers.get_lexer_by_name("coq")
lexer.add_filter('noerrorfilter')
formatter = pygments.formatters.get_formatter_for_filename("toto.tex", verboptions="frame=lines,fontsize=\\footnotesize")

def highlight(code):
	r = pygments.highlight(code, lexer, formatter, None)
	return r[0:-1]

if __name__ == "__main__":
	for (with_begin, coq) in res:
		file = file.replace(with_begin, highlight(coq))
	out = codecs.open("depygmentized.tex", "w", "utf-8")
	out.write(file.replace(minted, "\\include{depyg_prelude}"))
