(add-to-list 'load-path (file-name-directory load-file-name))

(require 'local-settings)

(require 'ox-latex)

(setq org-confirm-babel-evaluate nil)
;; (setq org-export-babel-evaluate nil)

(add-to-list 'org-latex-classes
             '("llncs"
               "\\documentclass{llncs}"
               ("\\section{%s}" . "\\section*{%s}")
               ("\\subsection{%s}" . "\\subsection*{%s}")
               ("\\paragraph{%s}" . "\\paragraph*{%s}")))

(defun as/delete-ignored-heading (backend)
  "Remove every headline with a tag `ignoreheading' in the
  current buffer. BACKEND is the export back-end being used, as
  a symbol."
  (org-map-entries
   (lambda () (delete-region (point) (progn (forward-line) (point))))
   "+ignoreheading"))

(add-hook 'org-export-before-parsing-hook 'as/delete-ignored-heading)

(setq org-latex-listings 'minted)
(setq org-latex-minted-options
      '(("frame" "lines")          
        ("fontsize" "\\footnotesize")
        ("noerror")
        ))

(setq indent-tabs-mode nil)

(org-babel-lob-ingest (expand-file-name "utils.org" (file-name-directory load-file-name)))
